import { BulkResult, DocUpdate } from './types';
type WorkerFunction = (tasks: DocUpdate[]) => Promise<BulkResult>;
export type WriteQueue = {
    push(task: DocUpdate): Promise<BulkResult>;
};
export declare function writeQueue(worker: WorkerFunction, payload?: number): WriteQueue;
export {};
